Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class ExternalGroovyClassDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.ExternalGroovyClassDoc

All Implemented Interfaces:
  GroovyClassDoc

    public class ExternalGroovyClassDoc
    extends java.lang.Object

Represents a class not in the codebase being processed.

Constructor Summary
`ExternalGroovyClassDoc(java.lang.Class externalClass)`

Method Summary
`GroovyAnnotationRef[]` | `annotations()`
`java.lang.String` | `commentText()`
`int` | `compareTo(java.lang.Object o)`
`GroovyConstructorDoc[]` | `constructors()`
`GroovyConstructorDoc[]` | `constructors(boolean filter)`
`GroovyClassDoc` | `containingClass()`
`GroovyPackageDoc` | `containingPackage()`
`boolean` | `definesSerializableFields()`
`GroovyFieldDoc[]` | `enumConstants()`
`boolean` | `equals(java.lang.Object other)`
`java.lang.Class` | `externalClass()`
`GroovyFieldDoc[]` | `fields()`
`GroovyFieldDoc[]` | `fields(boolean filter)`
`GroovyClassDoc` | `findClass(java.lang.String className)`
`java.lang.String` | `firstSentenceCommentText()`
`java.lang.String` | `getFullPathName()`
`java.lang.String` | `getRawCommentText()`
`java.lang.String` | `getRelativeRootPath()`
`java.lang.String` | `getTypeSourceDescription()`
`int` | `hashCode()`
`GroovyClassDoc[]` | `importedClasses()`
`GroovyPackageDoc[]` | `importedPackages()`
`GroovyClassDoc[]` | `innerClasses()`
`GroovyClassDoc[]` | `innerClasses(boolean filter)`
`GroovyType[]` | `interfaceTypes()`
`GroovyClassDoc[]` | `interfaces()`
`boolean` | `isAbstract()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isDeprecated()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isExternalizable()`
`boolean` | `isField()`
`boolean` | `isFinal()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrimitive()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isSerializable()`
`boolean` | `isStatic()`
`GroovyMethodDoc[]` | `methods()`
`GroovyMethodDoc[]` | `methods(boolean filter)`
`int` | `modifierSpecifier()`
`java.lang.String` | `modifiers()`
`java.lang.String` | `name()`
`GroovyFieldDoc[]` | `properties()`
`java.lang.String` | `qualifiedName()`
`java.lang.String` | `qualifiedTypeName()`
`GroovyFieldDoc[]` | `serializableFields()`
`GroovyMethodDoc[]` | `serializationMethods()`
`void` | `setRawCommentText(java.lang.String arg0)`
`java.lang.String` | `simpleTypeName()`
`boolean` | `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` | `superclass()`
`GroovyType` | `superclassType()`
`java.lang.String` | `typeName()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ExternalGroovyClassDoc

    public ExternalGroovyClassDoc(java.lang.Class externalClass)

Method Detail

### annotations

    public GroovyAnnotationRef[] annotations()

### commentText

    public java.lang.String commentText()

### compareTo

    public int compareTo(java.lang.Object o)

### constructors

    public GroovyConstructorDoc[] constructors()

### constructors

    public GroovyConstructorDoc[] constructors(boolean filter)

### containingClass

    public GroovyClassDoc containingClass()

### containingPackage

    public GroovyPackageDoc containingPackage()

### definesSerializableFields

    public boolean definesSerializableFields()

### enumConstants

    public GroovyFieldDoc[] enumConstants()

### equals

    if (other == this) return true;
    public boolean equals(java.lang.Object other)

### externalClass

    public java.lang.Class externalClass()

### fields

    public GroovyFieldDoc[] fields()

### fields

    public GroovyFieldDoc[] fields(boolean filter)

### findClass

    public GroovyClassDoc findClass(java.lang.String className)

### firstSentenceCommentText

    public java.lang.String firstSentenceCommentText()

### getFullPathName

    public java.lang.String getFullPathName()

### getRawCommentText

    public java.lang.String getRawCommentText()

### getRelativeRootPath

    public java.lang.String getRelativeRootPath()

### getTypeSourceDescription

    public java.lang.String getTypeSourceDescription()

### hashCode

    return qualifiedTypeName().hashCode();
    public int hashCode()

### importedClasses

    public GroovyClassDoc[] importedClasses()

### importedPackages

    public GroovyPackageDoc[] importedPackages()

### innerClasses

    public GroovyClassDoc[] innerClasses()

### innerClasses

    public GroovyClassDoc[] innerClasses(boolean filter)

### interfaceTypes

    public GroovyType[] interfaceTypes()

### interfaces

    public GroovyClassDoc[] interfaces()

### isAbstract

    public boolean isAbstract()

### isAnnotationType

    public boolean isAnnotationType()

### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

### isClass

    public boolean isClass()

### isConstructor

    public boolean isConstructor()

### isDeprecated

    public boolean isDeprecated()

### isEnum

    public boolean isEnum()

### isEnumConstant

    public boolean isEnumConstant()

### isError

    public boolean isError()

### isException

    public boolean isException()

### isExternalizable

    public boolean isExternalizable()

### isField

    public boolean isField()

### isFinal

    public boolean isFinal()

### isIncluded

    public boolean isIncluded()

### isInterface

    public boolean isInterface()

### isMethod

    public boolean isMethod()

### isOrdinaryClass

    public boolean isOrdinaryClass()

### isPackagePrivate

    public boolean isPackagePrivate()

### isPrimitive

    public boolean isPrimitive()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isSerializable

    public boolean isSerializable()

### isStatic

    public boolean isStatic()

### methods

    public GroovyMethodDoc[] methods()

### methods

    public GroovyMethodDoc[] methods(boolean filter)

### modifierSpecifier

    public int modifierSpecifier()

### modifiers

    public java.lang.String modifiers()

### name

    public java.lang.String name()

### properties

    public GroovyFieldDoc[] properties()

### qualifiedName

    public java.lang.String qualifiedName()

### qualifiedTypeName

    public java.lang.String qualifiedTypeName()

### serializableFields

    public GroovyFieldDoc[] serializableFields()

### serializationMethods

    public GroovyMethodDoc[] serializationMethods()

### setRawCommentText

    public void setRawCommentText(java.lang.String arg0)

### simpleTypeName

    public java.lang.String simpleTypeName()

### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

### superclass

    public GroovyClassDoc superclass()

### superclassType

    public GroovyType superclassType()

### typeName

    public java.lang.String typeName()

Groovy Documentation